import java.io.*;
import java.util.*;

public class TemplateIO {

    public void solve() throws IOException {
        int d = nextInt();
        int m = nextInt();
        int w = nextInt();
        int i = nextInt();
        int j = nextInt();
        int k = nextInt();
        int day = ((k - 1) * m * d + (j - 1) * d + i) % w;
        day--;
        if (day < 0)
        {
            day = w-(day*-1);
        }
        String s = "abcdefghijklmnopqrstuvwxyz";
        char al[] = s.toCharArray();
        out.println(al[day]);
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new TemplateIO().run();
    }
}