import java.io.*;
import java.util.*;

public class TemplateIO {
    public boolean CheckSad(long x) {
        boolean b = true;
        long y = x % 10;
        x /= 10;
        while (x > 0) {
            long z = x % 10;
            if (y != z) {
                b = false;
            }
            x /= 10;
        }
        return b;
    }

    public boolean CheckHap(long o) {
        long x = o;
        int er = 0;
        int rasrad = 1;
        long y = x % 10;
        x /= 10;
        while (x > 0) {
            long z = x % 10;
            if (y != z) {
                er++;
            }
            x /= 10;
            rasrad++;
        }
        if (er == 1 || er + 1 == rasrad) return true;
        else return false;
    }

    public long make777(long x, int rasr) {
        rasr--;
        while (x > 9) {
            x = x - 9;
            rasr++;
        }
        long x2 = x;
        for (int i = 0; i < rasr; i++) {
            x = (x * 10) + x2;
        }
        return x;
    }

    public long make700(long x, int rasr) {
        long o = x;
        while (!CheckHap(o)) {
            o++;
        }
        return o;
    }

    public void solve() throws IOException {
        long x = nextLong();
        int n = nextInt();
        long ch = 0;
        long z = x;
        int rasr = 1;
        while (z > 10) {
            z /= 10;
            rasr++;
        }
        if (n == 0) {
            if (CheckSad(x)) {
                out.println(x);
            } else {
                long j = make777(z, rasr);
                if (j >= x) {
                    out.println(j);
                } else {
                    out.println(make777(z + 1, rasr));
                }
            }
        }
        if (n == 1) {
            if (CheckHap(x)) {
                out.println(x);
            } else {
                long j = make700(z, rasr);
                out.println(j);
            }
        }
        out.close();
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new TemplateIO().run();
    }
}