import java.io.*;
import java.util.*;

public class TemplateIO {
    public void solve() throws IOException {
        long t = nextLong();
        long a = nextLong();
        long x = nextLong();
        long b = nextLong();
        long y = nextLong();
        long sum = 0;
        long a1 = (t - a) * x + (t - a - b) * y;
        long b1 = (t - b) * y + (t - a - b) * x;
        if (a1 > b1)
            sum = a1;
        else
            sum = b1;
        if (t<a && t<b)
            sum = 0;
        out.println(sum);
        out.close();
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new TemplateIO().run();
    }
}