import java.io.*;
import java.util.*;

public class TemplateIO {
    public void solve() throws IOException {
        long t = nextLong();
        long a = nextLong();
        long x = nextLong();
        long b = nextLong();
        long y = nextLong();
        long sum = 0;
        if (a==b && t>a && t>b)
        {
            if (x>y)
                sum = (t-a)*x + (t-b-a)*y;
            else
                sum = (t-b)*y + (t-b-a)*x;
        }
        else if (t>a && t>b) {
            long a1 = (t - a) * x;
            long b1 = (t - b) * y;
            if (a1 > b1)
                sum = a1 + ((t-a-b)*y);
            else
                sum = b1 + ((t-a-b)*x);
        }
        else {
            if (t < a && t < b)
                sum = 0;
            else if (t < a)
                sum = (t - b) * y;
            else
                sum = (t - a) * x;
        }
        out.println(sum);
        out.close();
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new TemplateIO().run();
    }
}