import java.io.*;
import java.util.*;

public class TemplateIO {
    public void solve() throws IOException {
        int n = nextInt();
        long sum = 0;
        long a[] = new long[n];
        for (int i = 0; i < n; i++) {
            a[i] = nextLong();
        }
        for (int i = 0; i < n; i++) {
            long min = a[i];
            for (int j = i; j < n; j++) {
                if (a[j] < min)
                    min = a[j];
            }
        }
        for (int i = n - 1; i > 0; i--) {
            for (int j = i; j > 0; j--) {
                long c = (a[i] - a[j - 1]);
                if (c < 0)
                    c = c * -1;
                sum = sum + c;
            }
        }
        out.println(sum);
        out.close();
    }


    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new TemplateIO().run();
    }
}